SimpleSelfRebuff:_rev("$Revision: 42763 $")

local function ItemSetup(self, BS, class, L)
	self:Debug('Loading item setup')

	local function registerItems(categoryName)
		self:Debug('Loading item setup for %q', categoryName)
	
		local category = self:GetCategory(categoryName)
		category.source = self.SOURCE_ITEM
	
		if class == 'ROGUE' or class == 'WARRIOR' or class == 'PALADIN' or class == 'SHAMAN' or class == 'DRUID' then
			
			-- Sharpening Stones		
			category
				:add( "Adamantite Sharpening Stone",  'itemid', 23529, 'minLevel', 60 )
				:add( "Fel Sharpening Stone",         'itemid', 23528, 'minLevel', 50, 'maxLevel', 59 )
				:add( "Dense Sharpening Stone",       'itemid', 12404, 'minLevel', 35, 'maxLevel', 49 )
				:add( "Solid Sharpening Stone",       'itemid',  7964, 'minLevel', 25, 'maxLevel', 34 )
				:add( "Heavy Sharpening Stone",       'itemid',  2871, 'minLevel', 15, 'maxLevel', 24 )
				:add( "Coarse Sharpening Stone",      'itemid',  2863, 'minLevel',  5, 'maxLevel', 14 )
				:add( "Rough Sharpening Stone",       'itemid',  2862,                 'maxLevel',  4 )
	
				:add( "Consecrated Sharpening Stone", 'itemid', 23122, 'minLevel', 50 )
				:add( "Elemental Sharpening Stone",   'itemid', 18262, 'minLevel', 50 )
	
			-- Weightstones
				:add( "Adamantite Weightstone", 'itemid', 28421, 'minLevel', 60 )
				:add( "Fel Weightstone",        'itemid', 28420, 'minLevel', 50, 'maxLevel', 59 )
				:add( "Dense Weightstone",      'itemid', 12643, 'minLevel', 35, 'maxLevel', 49 )
				:add( "Solid Weightstone",      'itemid',  7965, 'minLevel', 25, 'maxLevel', 34 )
				:add( "Heavy Weightstone",      'itemid',  3241, 'minLevel', 15, 'maxLevel', 24 )
				:add( "Coarse Weightstone",     'itemid',  3240, 'minLevel',  5, 'maxLevel', 14 )
				:add( "Rough Weightstone",      'itemid',  3239,                 'maxLevel',  4 )
		
		end
		
		-- Wizard Oils		
		if class == 'WARLOCK' or class == 'DRUID' or class == 'MAGE' or class == 'SHAMAN' or class == 'PALADIN' or class == 'PRIEST' then 
			
			category
				:add( "Superior Wizard Oil",  'itemid', 22522, 'minLevel', 58 )
				:add( "Wizard Oil",           'itemid', 20750, 'minLevel', 40, 'maxLevel', 57 )
				:add( "Lesser Wizard Oil",    'itemid', 20746, 'minLevel', 30, 'maxLevel', 39 )
				:add( "Minor Wizard Oil",     'itemid', 20744, 'minLevel',  5, 'maxLevel', 29 )
			
				:add( "Brilliant Wizard Oil", 'itemid', 20749, 'minLevel', 45 )
			
				:add( "Blessed Wizard Oil",   'itemid', 23123, 'minLevel', 50 )
		end

		-- Mana Oils
		if class == 'WARLOCK' or class == 'DRUID' or class == 'MAGE' or class == 'SHAMAN' or class == 'PALADIN' or class == 'PRIEST' or class == 'HUNTER' then
			
			category
				:add( "Superior Mana Oil",  'itemid', 22521, 'minLevel', 52 )
				:add( "Lesser Mana Oil",    'itemid', 20747, 'minLevel', 40, 'maxLevel', 51 )
				:add( "Minor Mana Oil",     'itemid', 20745, 'minLevel', 20, 'maxLevel', 39 )
	
				:add( "Brilliant Mana Oil", 'itemid', 20748, 'minLevel', 45 )
		end
	
	end
	
	registerItems(self.CATEGORY_MAINHAND)
	registerItems(self.CATEGORY_OFFHAND)	

end

SimpleSelfRebuff:RegisterBuffSetup(ItemSetup)
